org.apache.lucene.search.spans

## Class SpanMultiTermQueryWrapper.SpanRewriteMethod

- java.lang.Object
- - org.apache.lucene.search.MultiTermQuery.RewriteMethod
  - - org.apache.lucene.search.spans.SpanMultiTermQueryWrapper.SpanRewriteMethod

Direct Known Subclasses:
  SpanMultiTermQueryWrapper.TopTermsSpanBooleanQueryRewrite

Enclosing class:
  SpanMultiTermQueryWrapper<Q extends MultiTermQuery>

    public abstract static class SpanMultiTermQueryWrapper.SpanRewriteMethod
    extends MultiTermQuery.RewriteMethod

Abstract class that defines how the query is rewritten.

### Constructor Summary

Constructors
Constructor and Description
`SpanMultiTermQueryWrapper.SpanRewriteMethod()`

### Method Summary

Methods
`abstract SpanQuery` `rewrite(IndexReader reader, MultiTermQuery query)`

### Methods inherited from class org.apache.lucene.search.MultiTermQuery.RewriteMethod

`getTermsEnum`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SpanMultiTermQueryWrapper.SpanRewriteMethod

    public SpanMultiTermQueryWrapper.SpanRewriteMethod()

### Method Detail

#### rewrite

    public abstract SpanQuery rewrite(IndexReader reader,
                    MultiTermQuery query)
                               throws IOException

Specified by:
  `rewrite` in class `MultiTermQuery.RewriteMethod`
Throws:
  `IOException`